Subject: Re: bug#61238: [PATCH] Fix go-ts-mode type switch and select case blocks indentation

From: Theodor Thornhill <[email-masked]>
Date: Sat, 04 Feb 2023 19:29:50 +0100

Davide Masserut <[email-masked]> writes:

> Theodor Thornhill <[email-masked]> writes:
>
>> Hey there, Davide, and thanks for the clear bug-report!
>>
>> This looks good to me, but before I install, Maybe you can also 
>> add a
>> test for this, similar to the ones in c-ts-mode-tests.el?
>>
>> Also, just checking - is fsf assignment needed for this change? 
>> Maybe
>> you've done it already, if so, forgive my ignorance :-)
>>
>> Theo

Thanks! I've commited and pushed this to the emacs-29 branch.  I made a
small tweak to the commit message and fixed this:

(ert-deftest go-ts-mode-test-indentation ()
  (skip-unless (treesit-ready-p 'c))
  (ert-test-erts-file (ert-resource-file "indent.erts")))

Thanks again,

Theo